# cmd_twitch/getgame.py
from twitchio.ext import commands
from modules.utility import get_current_twitch_game

def setup(bot):
    """
    Registers the '!getgame' command for Twitch.
    """
    @bot.command(name='getgame')
    async def cmd_getgame(ctx: commands.Context):
        """
        Retrieves the current game being played on Twitch.

        Usage:
          - !getgame -> Shows the current game for the channel.
        """
        channel_name = ctx.channel.name
        game_name = await get_current_twitch_game(bot, channel_name)
        await ctx.reply(game_name)
