# cmd_twitch/help.py
from twitchio.ext import commands
from modules.utility import handle_help_command, is_channel_live

def setup(bot):
    """
    Registers the '!help' command for Twitch.
    """
    @bot.command(name="help")
    async def cmd_help(ctx):
        """
        Displays help information for available commands.

        Usage:
          - !help -> Lists all commands.
          - !help <command> -> Detailed help for a specific command.
        """
        if not await is_channel_live(bot):
            parts = ctx.message.content.strip().split()
            cmd_name = parts[1] if len(parts) > 1 else None
            await handle_help_command(ctx, cmd_name, bot, is_discord=False)
